com.fasterxml.jackson.databind.deser.impl

## Class UnwrappedPropertyHandler

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.UnwrappedPropertyHandler

    public class UnwrappedPropertyHandler
    extends Object

Object that is responsible for handling acrobatics related to deserializing "unwrapped" values; sets of properties that are embedded (inlined) as properties of parent JSON object.

### Field Summary

Fields
`protected List<SettableBeanProperty>` `_creatorProperties`
`protected List<SettableBeanProperty>` `_properties`
`static String` `JSON_UNWRAPPED_NAME_PREFIX`

### Constructor Summary

Constructors
`` `UnwrappedPropertyHandler()`
`protected` `UnwrappedPropertyHandler(List<SettableBeanProperty> props)` Deprecated.
`protected` `UnwrappedPropertyHandler(List<SettableBeanProperty> creatorProps, List<SettableBeanProperty> props)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addCreatorProperty(SettableBeanProperty property)`
`void` `addProperty(SettableBeanProperty property)`
`static PropertyName` `creatorParamName(int index)` Generates a placeholder name for creator properties that don't have a name, but are marked with `@JsonUnwrapped` annotation.
`Object` `processUnwrapped(JsonParser originalParser, DeserializationContext ctxt, Object bean, TokenBuffer buffered)`
`PropertyValueBuffer` `processUnwrappedCreatorProperties(JsonParser originalParser, DeserializationContext ctxt, PropertyValueBuffer values, TokenBuffer buffered)`
`UnwrappedPropertyHandler` `renameAll(NameTransformer transformer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JSON_UNWRAPPED_NAME_PREFIX

    public static final String JSON_UNWRAPPED_NAME_PREFIX

Since:
  2.19
See Also:
  Constant Field Values

#### _creatorProperties

    protected final List<SettableBeanProperty> _creatorProperties

Since:
  2.19

#### _properties

    protected final List<SettableBeanProperty> _properties

### Constructor Detail

#### UnwrappedPropertyHandler

    public UnwrappedPropertyHandler()

#### UnwrappedPropertyHandler

    @Deprecated
    protected UnwrappedPropertyHandler(List<SettableBeanProperty> props)

Deprecated.

#### UnwrappedPropertyHandler

    protected UnwrappedPropertyHandler(List<SettableBeanProperty> creatorProps,
                                       List<SettableBeanProperty> props)

### Method Detail

#### addCreatorProperty

    public void addCreatorProperty(SettableBeanProperty property)

Since:
  2.19

#### addProperty

    public void addProperty(SettableBeanProperty property)

#### renameAll

    public UnwrappedPropertyHandler renameAll(NameTransformer transformer)

#### processUnwrappedCreatorProperties

    public PropertyValueBuffer processUnwrappedCreatorProperties(JsonParser originalParser,
                                                                 DeserializationContext ctxt,
                                                                 PropertyValueBuffer values,
                                                                 TokenBuffer buffered)
                                                          throws IOException

Throws:
  `IOException`
Since:
  2.19

#### processUnwrapped

    public Object processUnwrapped(JsonParser originalParser,
                                   DeserializationContext ctxt,
                                   Object bean,
                                   TokenBuffer buffered)
                            throws IOException

Throws:
  `IOException`

#### creatorParamName

    public static PropertyName creatorParamName(int index)

Generates a placeholder name for creator properties that don't have a name, but are marked with `@JsonUnwrapped` annotation.

Since:
  2.19